<?php

use SilverStripe\Control\Controller;
use \SilverStripe\SiteConfig\SiteConfig;

class RobotsController extends Controller
{
	private static $allowed_actions = [];

	private static $url_handlers = [];
	
	public function index()
	{
		$this->getResponse()->addHeader('Content-Type', 'text/plain');
		$this->getResponse()->setBody($this->getBody());
		$this->getResponse()->output();
	}
	
	private function getBody()
	{
		$siteConfig = SiteConfig::get()->first();
		$body = "User-agent: * \nDisallow: /";
		if ($siteConfig->IsLive) {
			$body .= 'admin';
		}
		$body .= "\r\nSitemap: https://" . $this->request->getHeader('Host') . '/sitemap.xml';
		return $body;
	}
}